<template>
  <div class="themes-container">
    <ThemePreview v-for="theme in themes" :theme="theme" class="theme-preview"/>
  </div>
</template>

<script>
import ThemePreview from "@/pages/settings/themes/components/ThemePreview.vue";

export default {
  name: 'Themes',
  components: {
    ThemePreview
  },
  data() {
    return {
      themes: [
        "/assets/styles/themes/default_theme.css",
        "/assets/styles/themes/dark_theme.css",
        "/assets/styles/themes/default_theme.css",
        "/assets/styles/themes/default_theme.css",
        "/assets/styles/themes/default_theme.css",
      ]
    }
  }
}
</script>

<style scoped>
.themes-container {
  display: grid;
  justify-items: center;
  grid-template-columns: repeat(auto-fit, minmax(16rem, 1fr));
  grid-auto-rows: 10rem;
  gap: 3rem;
}

.theme-preview {
  width: 16rem;
  height: 10rem;
}
</style>